﻿using HeuristicLab.Problems.DataAnalysis;

namespace HeuristicLab.Algorithms.DataAnalysis.FastFunctionExtraction {
    internal interface IBasisFunction {
        int Complexity { get; }
        bool IsNominator { get; set; }
        double[] Simulate(IRegressionProblemData data);
        IBasisFunction DeepCopy();
    }
}
